Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 728280 - dev-lang/rust-1.44.0 fails src_compile with binutils-config[-native-symlinks] ( /bin/sh: CMAKE_AR-NOTFOUND: command not found )
Summary: dev-lang/rust-1.44.0 fails src_compile with binutils-config[-native-symlinks]...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Georgy Yakovlev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tc-directly
  Show dependency tree
 
Reported: 2020-06-14 20:17 UTC by Kent Fredric (IRC: kent\n)
Modified: 2020-11-02 05:35 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
rust-1.44.0:20200614-161416.log.gz (rust-1.44.0:20200614-161416.log.gz,226.47 KB, application/gzip)
2020-06-14 20:17 UTC, Kent Fredric (IRC: kent\n)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) gentoo-dev 2020-06-14 20:17:38 UTC
Created attachment 644752 [details]
rust-1.44.0:20200614-161416.log.gz

This happens *after* llvm-ar is built internally

> running: "cmake" "--build" "." "--target" "install" "--config" "Release" "--" "-j" "3"
> ^M[0/124] Generating VCSVersion.inc^M[0/124] Building CXX object lib/Core/CMakeFiles/lldCore.dir/DefinedAtom.cpp.o^M[0/124] Building CXX object lib/Core/CMakeFiles/lldCore.dir/Error.cpp.o^M[1/124] Generating VCSVersion.inc
> -- Found Git: /usr/bin/git (found version "2.27.0") 
> ^M[1/124] Building CXX object Common/CMakeFiles/lldCommon.dir/Args.cpp.o^M[2/124] Building CXX object Common/CMakeFiles/lldCommon.dir/Args.cpp.o^M[2/124] Building CXX object Common/CMakeFiles/lldCommon.dir/ErrorHandler.cpp.o^M[3/124] Building CXX object lib/Core/CMakeFiles/lldCore.dir/Error.cpp.o^M[3/124] Building CXX object Common/CMakeFiles/lldCommon.dir/Filesystem.cpp.o^M[4/124] Building CXX object lib/Core/CMakeFiles/lldCore.dir/DefinedAtom.cpp.o^M[4/124] Building CXX object Common/CMakeFiles/lldCommon.dir/Memory.cpp.o^M[5/124] Building CXX object Common/CMakeFiles/lldCommon.dir/Memory.cpp.o^M[5/124] Building CXX object Common/CMakeFiles/lldCommon.dir/Reproduce.cpp.o^M[6/124] Building CXX object Common/CMakeFiles/lldCommon.dir/Filesystem.cpp.o^M[6/124] Building CXX object Common/CMakeFiles/lldCommon.dir/Strings.cpp.o^M[7/124] Building CXX object Common/CMakeFiles/lldCommon.dir/Reproduce.cpp.o^M[7/124] Building CXX object Common/CMakeFiles/lldCommon.dir/TargetOptionsCommandFlags.cpp.o^M[8/124] Building CXX object Common/CMakeFiles/lldCommon.dir/Strings.cpp.o^M[8/124] Building CXX object Common/CMakeFiles/lldCommon.dir/Threads.cpp.o^M[9/124] Building CXX object Common/CMakeFiles/lldCommon.dir/Threads.cpp.o^M[9/124] Building CXX object Common/CMakeFiles/lldCommon.dir/Timer.cpp.o^M[10/124] Building CXX object Common/CMakeFiles/lldCommon.dir/Timer.cpp.o^M[10/124] Building CXX object Common/CMakeFiles/lldCommon.dir/Version.cpp.o^M[11/124] Building CXX object Common/CMakeFiles/lldCommon.dir/Version.cpp.o^M[11/124] Building CXX object lib/Core/CMakeFiles/lldCore.dir/File.cpp.o^M[12/124] Building CXX object Common/CMakeFiles/lldCommon.dir/ErrorHandler.cpp.o^M[12/124] Building CXX object lib/Core/CMakeFiles/lldCore.dir/LinkingContext.cpp.o^M[13/124] Building CXX object lib/Core/CMakeFiles/lldCore.dir/File.cpp.o^M[13/124] Building CXX object lib/Core/CMakeFiles/lldCore.dir/Reader.cpp.o^M[14/124] Building CXX object lib/Core/CMakeFiles/lldCore.dir/LinkingContext.cpp.o^M[14/124] Building CXX object lib/Core/CMakeFiles/lldCore.dir/Resolver.cpp.o^M[15/124] Building CXX object lib/Core/CMakeFiles/lldCore.dir/Reader.cpp.o^M[15/124] Building CXX object lib/Core/CMakeFiles/lldCore.dir/SymbolTable.cpp.o^M[16/124] Building CXX object Common/CMakeFiles/lldCommon.dir/TargetOptionsCommandFlags.cpp.o^M[16/124] Linking CXX static library lib/liblldCommon.a^M[17/124] Linking CXX static library lib/liblldCommon.a
FAILED: lib/liblldCommon.a 
> : && /usr/bin/cmake -E rm -f lib/liblldCommon.a && CMAKE_AR-NOTFOUND qc lib/liblldCommon.a  Common/CMakeFiles/lldCommon.dir/Args.cpp.o Common/CMakeFiles/lldCommon.dir/ErrorHandler.cpp.o Common/CMakeFiles/lldCommon.dir/Filesystem.cpp.o Common/CMakeFiles/lldCommon.dir/Memory.cpp.o Common/CMakeFiles/lldCommon.dir/Reproduce.cpp.o Common/CMakeFiles/lldCommon.dir/Strings.cpp.o Common/CMakeFiles/lldCommon.dir/TargetOptionsCommandFlags.cpp.o Common/CMakeFiles/lldCommon.dir/Threads.cpp.o Common/CMakeFiles/lldCommon.dir/Timer.cpp.o Common/CMakeFiles/lldCommon.dir/Version.cpp.o && :
/bin/sh: CMAKE_AR-NOTFOUND: command not found
> ^M[18/124] Building CXX object lib/Core/CMakeFiles/lldCore.dir/SymbolTable.cpp.o^M[19/124] Building CXX object lib/Core/CMakeFiles/lldCore.dir/Resolver.cpp.o
ninja: build stopped: subcommand failed.
thread 'main' panicked at '
command did not execute successfully, got: exit code: 1

build script failed, must exit now', /var/tmp/portage/dev-lang/rust-1.44.0/work/rustc-1.44.0-src/vendor/cmake/src/lib.rs:861:5
stack backtrace:
>    0: <std::sys_common::backtrace::_print::DisplayBacktrace as core::fmt::Display>::fmt
>    1: core::fmt::write
>    2: std::io::Write::write_fmt
>    3: std::panicking::default_hook::{{closure}}
>    4: std::panicking::default_hook
>    5: std::panicking::rust_panic_with_hook
>    6: rust_begin_unwind
>    7: std::panicking::begin_panic_fmt
>    8: cmake::fail
>              at ./vendor/cmake/src/lib.rs:861
>    9: cmake::run
>              at ./vendor/cmake/src/lib.rs:839
>   10: cmake::Config::build
>              at ./vendor/cmake/src/lib.rs:745
>   11: <bootstrap::native::Lld as bootstrap::builder::Step>::run
>              at src/bootstrap/native.rs:486
>   12: bootstrap::builder::Builder::ensure
>              at src/bootstrap/builder.rs:1306
>   13: <bootstrap::compile::Assemble as bootstrap::builder::Step>::run
>              at src/bootstrap/compile.rs:725
>   14: bootstrap::builder::Builder::ensure
>              at src/bootstrap/builder.rs:1306
>   15: bootstrap::builder::Builder::compiler
>              at src/bootstrap/builder.rs:547
>   16: <bootstrap::compile::Assemble as bootstrap::builder::Step>::run
>              at src/bootstrap/compile.rs:715
>   17: bootstrap::builder::Builder::ensure
>              at src/bootstrap/builder.rs:1306
>   18: bootstrap::builder::Builder::compiler
>              at src/bootstrap/builder.rs:547
>   19: <bootstrap::compile::Std as bootstrap::builder::Step>::make_run
>              at src/bootstrap/compile.rs:47
>   20: bootstrap::builder::StepDescription::maybe_run
>              at src/bootstrap/builder.rs:174
>   21: bootstrap::builder::StepDescription::run
>              at src/bootstrap/builder.rs:196
>   22: bootstrap::builder::Builder::run_step_descriptions
>              at src/bootstrap/builder.rs:539
>   23: bootstrap::builder::Builder::execute_cli
>              at src/bootstrap/builder.rs:530
>   24: bootstrap::Build::build
>              at src/bootstrap/lib.rs:454
>   25: bootstrap::main
>              at src/bootstrap/bin/main.rs:15
>   26: std::rt::lang_start::{{closure}}
>              at /var/tmp/portage/dev-lang/rust-1.43.1/work/rustc-1.43.1-src/src/libstd/rt.rs:67
>   27: std::panicking::try::do_call
>   28: __rust_maybe_catch_panic
>   29: std::rt::lang_start_internal
>   30: std::rt::lang_start
>              at /var/tmp/portage/dev-lang/rust-1.43.1/work/rustc-1.43.1-src/src/libstd/rt.rs:67
>   31: main
>   32: __libc_start_main
>              at ../csu/libc-start.c:308
>   33: _start
> note: Some details are omitted, run with `RUST_BACKTRACE=full` for a verbose backtrace.
>         finished in 34.190
> Traceback (most recent call last):
>   File "./x.py", line 11, in <module>
>     bootstrap.main()
>   File "/var/tmp/portage/dev-lang/rust-1.44.0/work/rustc-1.44.0-src/src/bootstrap/bootstrap.py", line 954, in main
>     bootstrap(help_triggered)
>   File "/var/tmp/portage/dev-lang/rust-1.44.0/work/rustc-1.44.0-src/src/bootstrap/bootstrap.py", line 940, in bootstrap
>     run(args, env=env, verbose=build.verbose)
>   File "/var/tmp/portage/dev-lang/rust-1.44.0/work/rustc-1.44.0-src/src/bootstrap/bootstrap.py", line 141, in run
>     raise RuntimeError(err)
> RuntimeError: failed to run: /var/tmp/portage/dev-lang/rust-1.44.0/work/rustc-1.44.0-src/build/bootstrap/debug/bootstrap build -vv --config=/var/tmp/portage/dev-lang/rust-1.44.0/work/rustc-1.44.0-src/config.toml -j3
>  * ERROR: dev-lang/rust-1.44.0::gentoo failed (compile phase):
>  *   (no error message)
>  * 
>  * Call stack:
>  *     ebuild.sh, line 125:  Called src_compile
>  *   environment, line 3702:  Called die
>  * The specific snippet of code:
>  *       env $(cat "${S}"/config.env) RUST_BACKTRACE=1 "${EPYTHON}" ./x.py build -vv --config="${S}"/config.toml -j$(makeopts_jobs) || die
>  * 


 * Package:    dev-lang/rust-1.44.0
 * Repository: gentoo
 * Maintainer: gyakovlev@gentoo.org rust@gentoo.org
 * USE:        abi_x86_32 abi_x86_64 amd64 clippy cpu_flags_x86_sse2 elibc_glibc kernel_linux llvm_targets_BPF llvm_targets_NVPTX llvm_targets_WebAssembly llv
m_targets_X86 rls rustfmt system-bootstrap userland_GNU wasm
 * FEATURES:   ccache compressdebug network-sandbox preserve-libs sandbox splitdebug userpriv usersandbox
Comment 1 Georgy Yakovlev gentoo-dev 2020-10-13 03:25:15 UTC
I heard recent versions compile fine.
can you check?
Comment 2 Kent Fredric (IRC: kent\n) gentoo-dev 2020-11-02 04:07:06 UTC
(In reply to Georgy Yakovlev from comment #1)
> I heard recent versions compile fine.
> can you check?

I am no longer experiencing this issue for whatever reason. It might be fixed :)
Comment 3 Georgy Yakovlev gentoo-dev 2020-11-02 05:35:13 UTC
thanks.
yeah, I added something somewhere maybe or upstream did, whatever it was it's fixed ;-)